<?php

namespace common\logic\User\UserProducer\Wrapper;

use common\logic\AbstractContainer;
use common\logic\User\UserProducer\Model\UserProducer;
use common\logic\User\UserProducer\Repository\UserProducerRepository;
use common\logic\User\UserProducer\Service\UserProducerBuilder;

class UserProducerContainer extends AbstractContainer
{
    public function getEntityFqcn(): string
    {
        return UserProducer::class;
    }

    public function getServices(): array
    {
        return [
            UserProducerRepository::class,
            UserProducerBuilder::class,
        ];
    }

    public function getRepository(): UserProducerRepository
    {
        return UserProducerRepository::getInstance();
    }

    public function getBuilder(): UserProducerBuilder
    {
        return UserProducerBuilder::getInstance();
    }
}